#page-login-index {
    width: 100%;
    position: relative;
    background: linear-gradient(rgba(28,95,36, 0.7), rgba(40, 58, 90, 0.9)), url("../images/bg.png") fixed center center;
    background-size: cover;
    padding: 60px 0 0 0;
}

.main-header {
    min-height: 80px;
}

.nav-sidebar .nav-treeview {
    margin-left: 30px;
}


fieldset {
    padding: 20px;
    border: 1px solid #bfcfd9;
    margin-bottom: 40px;
}

legend {
    font-size: 20px;
    width: auto;
    min-width: unset;
    font-weight: bold;
}

.form-group.required > label:after { 
    content:"*";
    color:red;
    margin-left: 5px;
}

input[type='radio'],
input[type='checkbox'] { 
    transform: scale(1.7);
    /*margin: 0 10px 0 10px;*/
}

input[type=checkbox] {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    -ms-appearance: none;
    display: inline-block;
    width: 15px;
    height: 15px;
    margin-right: 10px;
    margin-bottom: 0;
    margin-top: 5px;
    border-width: 2px;
    border-style: solid;
    border-radius: 0;
    background-color: transparent;
    border-color: #cccccc;
    }
input[type=checkbox]:disabled, input[type=checkbox][readonly] {
    border-color: #d9d9d9; }
input[type=checkbox]:focus {
    outline: 0;
    -webkit-box-shadow: 0 0 0 1px #66afe9, 0 0 8px rgba(102, 175, 233, 0.6);
    box-shadow: 0 0 0 1px #66afe9, 0 0 8px rgba(102, 175, 233, 0.6); }
input[type=checkbox]:checked {
    border-color: #578fc0;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHN0cm9rZT0nIzU3OGZjMCcgZmlsbD0nIzU3OGZjMCcgd2lkdGg9JzMyJyBoZWlnaHQ9JzMyJyB2aWV3Qm94PScwIDAgMzIgMzInPjxwYXRoIGQ9J00yNS4xIDEyLjVsLTMuNC0zLjMtOCA4LTIuOS0zLTMuNCAzLjQgNi4zIDYuM3onLz48L3N2Zz4=");
    background-size: 20px 20px;
    background-position: -3px; }
input[type=checkbox]:checked:focus {
    outline: 0;
    -webkit-box-shadow: 0 0 0 1px #66afe9, 0 0 8px rgba(102, 175, 233, 0.6);
    box-shadow: 0 0 0 1px #66afe9, 0 0 8px rgba(102, 175, 233, 0.6); }

.checkbox, .radio {
    padding: 3px 0;
}

.tab-pane {
    padding-top: 20px;
}

.box-title{
    font-weight: bold;
}
.paging_number{

}
.paging_number a{
    background-color:#E1E1E1;
    color:#000;
    padding-left:4px;
    padding-right:4px;
    vertical-align:middle;
    text-decoration:none;
    font-weight:bold;
}
.paging_number a:hover{
    background-color:#900;
    color:#FFF;
    text-decoration:none;
}
.none {
    display:none;
}
select option:disabled {
    background-color:#A0A6AD;
}

.example-modal .modal {
    position: relative;
    top: auto;
    bottom: auto;
    right: auto;
    left: auto;
    display: block;
    z-index: 1;
}

.example-modal .modal {
    background: transparent !important;
}
.tooltip{
    display: inline;
    position: relative;
}

.tooltip:hover:after{
    background: #333;
    background: rgba(0,0,0,.8);
    border-radius: 5px;
    bottom: 26px;
    color: #fff;
    content: attr(title);
    left: 20%;
    padding: 5px 15px;
    position: absolute;
    z-index: 98;
    width: 220px;
}

.tooltip:hover:before{
    border: solid;
    border-color: #333 transparent;
    border-width: 6px 6px 0 6px;
    bottom: 20px;
    content: "";
    left: 50%;
    position: absolute;
    z-index: 99;
}
table #hours_and_earnings td, table #tax_deductions td, table #pre_tax_deductions td, table #after_tax_deductions td, table #payslip_employee_header td, table #payslip_employer_header td, table #pay_period_and_salary td, table #summary td, table #net_pay_distribution td, table #messages td{
    padding:2px;
}
table  #payslip_employee_header1, table  #payslip_employer_header1, table #pay_period_and_salary1, table #summary1, table  #hours_and_earnings1, table  #pre_tax_deductions1, table #tax_deductions1, table #after_tax_deductions1, table #net_pay_distribution1, table #messages1  {
    display:none;
}

table #hours_and_earnings td{
    text-align:right;
}
#tdPadding{
    padding:2px;
}

.checkbox_container{
    border:1px solid #ccc;
    padding:10px;
    width:100%;
    height: 400px;
    overflow-y: scroll;
}

.borderOk{
    border-style: solid;
    border-width: 1px;
    border-color: #000000;
}
.borderOkTd{
    border-style: solid;
    border-width: 1px;
    border-color: #000000;
}
.borderRight{
    border-right:1px solid #000000;
}
.borderLeftRight{
    border-left:1px solid #000000;
    border-right:1px solid #000000;
}

#bulk_upload_iframe{

    overflow: scroll;
    width: 800px;
    height: 400px;
    border: 1px solid black;
}

/************** Used In Filter Borrower Columns********************/
#from, #to, #from_branch, #to_branch, #from_loan, #to_loan, #from_repayment, #to_repayment, #from_savings_transactions, #to_savings_transactions{
    width: 200px;
    float: left;
}
.controls {
    width: 40px;
    float: left;
    margin: 140px 10px 10px 10px;
}
.controls a {
    background-color: #222222;
    border-radius: 4px;
    border: 2px solid #000;
    color: #ffffff;
    padding: 2px;
    font-size: 14px;
    text-decoration: none;
    display: inline-block;
    text-align: center;
    margin: 5px;
    width: 20px;
}

.table_padding td{
    padding: 10px;
}
.margin-right {
    margin-right: 4px;
}
.vcenter {
    display: inline-block;
    vertical-align: middle;
    float: none;
}
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input {
    display:none;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}
td.details-control {
    background: url('../images/details_open.png') no-repeat center center;
    cursor: pointer;
}

tr.shown td.details-control {
    background: url('../images/details_close.png') no-repeat center center;
}
.prompt
{
    text-align: center;
    font-size: 0.9em;
}

#hint {
    color: #B94A48;
    display: none;
    font-size: 0.9em;
}

.domain {
    color: #08c;
    font-weight: bold;
    text-decoration: underline;
}
.hrcolor {
    color:#000;
    border-color:#000;
    background-color: #000;
}

.loader,
.loader:before,
.loader:after {
    border-radius: 50%;
}
.loader {
    color: #ffffff;
    font-size: 11px;
    text-indent: -99999em;
    margin: 5px auto;
    position: relative;
    width: 5em;
    height: 5em;
    box-shadow: inset 0 0 0 1em;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}
.loader:before,
.loader:after {
    position: absolute;
    content: '';
}
.loader:before {
    width: 2.6em;
    height: 5.1em;
    background: #0dc5c1;
    border-radius: 5.1em 0 0 5.1em;
    top: -0.1em;
    left: -0.1em;
    -webkit-transform-origin: 2.6em 2.55em;
    transform-origin: 2.6em 2.55em;
    -webkit-animation: load2 2s infinite ease 1.5s;
    animation: load2 2s infinite ease 1.5s;
}
.loader:after {
    width: 2.6em;
    height: 5.1em;
    background: #0dc5c1;
    border-radius: 0 5.1em 5.1em 0;
    top: -0.1em;
    left: 2.55em;
    -webkit-transform-origin: 0px 2.55em;
    transform-origin: 0px 2.55em;
    -webkit-animation: load2 2s infinite ease;
    animation: load2 2s infinite ease;
}

@-webkit-keyframes load2 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes load2 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

#balance_sheet table{
    border-collapse:collapse;
}
.balance_sheet_input{
    text-align:right;
    width: 100px;
}

.select2-selection__clear {
    position: absolute !important;
    right: 20px !important;
}
.content_files{
    font-size:12px;
}
.content_files span{
    width: 99%;
    text-align: center;
    color: #BF0000;
    text-decoration: none;
}

.content_files span:hover{
    cursor: pointer;
    text-decoration: underline;
}

.pre-xy-scrollable {
    display: block;
    max-height: 340px;
    overflow-x: auto;
    overflow-y: auto;
}
.bulk_upload th{
    padding:5px;
}
.bulk_upload td{
    padding:5px;
}

.row-centered {
    text-align:center;
}
.col-centered {
    display:inline-block;
    float:none;
    /* reset the text-align */
    text-align:left;
    /* inline-block space fix */
    margin-right:-4px;
}

.print_h2{
    margin:0;
    padding:0;
    font-size:18px;
    font-weight:bold;
}
.page_title_print{
    letter-spacing: 0.4em;
    text-transform:uppercase;
    font-weight:bold;
    border: 1px solid #000000;
    padding:3px 0 3px 0;
}

.box_title_print{
    letter-spacing: 0.125em;
    text-transform:uppercase;
    border-bottom: 1px solid #000000;
    font-weight:bold;
    text-align:center;
    padding: 10px 0 0 0;
}
.print_box{
}
.table-condensed>thead>tr>th, .table-condensed>tbody>tr>th, .table-condensed>tfoot>tr>th, .table-condensed>thead>tr>td, .table-condensed>tbody>tr>td, .table-condensed>tfoot>tr>td{
    padding: 3px;
}

.loading-image {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 10;
}
.loader2
{
    display: none;
    width:200px;
    height: 200px;
    position: fixed;
    top: 50%;
    left: 50%;
    text-align:center;
    margin-left: -50px;
    margin-top: -100px;
    z-index:2;
    overflow: auto;
}
.plus_sign {
    color: green;
    font-weight: bolder;
    font-size: 1.2rem;
    padding: 0 5%;
    cursor: pointer;
}

.minus_sign {
    color: red;
    font-weight: bolder;
    font-size: 1.2rem;
    padding: 0 5%;
    cursor: pointer;
}


.dataTables_processing {

    position: absolute;
    top: 30px;
    left: 50%;
    width: 100%;
    height: 60px;
    margin-left: -50%;
    margin-top: -25px;
    text-align: center;
    font-size: 1.2em;
    background-color: #ffffff;
    color:#0097C9;
    font-weight:bold;
    z-index: 105;
}

ul.submissions_folder{
    list-style-type: none;
}
ul.submissions_folder li{
    padding-bottom: 10px;
}

ul.submissions_folder a{
    color: black;
    text-decoration: none;
}
ul.submissions_folder a:hover{
    text-decoration: none;
    color: #0a88ff;
}
#folder_link a{
    color: black;
    text-decoration: none;
}
#folder_link a:hover{
    text-decoration: none;
    color: #0a88ff;
}
#borrower_box_module {
}

#borrower_box_module .collapse[aria-expanded="false"] {
    display: block;
    height: 100px !important;
    overflow: hidden;
}

#borrower_box_module .collapsing[aria-expanded="false"] {
    height: 100px !important;
}

#show_hide_borrower_box a.collapsed:after  {
    content: '+ Show More';
}

#show_hide_borrower_box a:not(.collapsed):after {
    content: '- Show Less';
}

/*Stepper*/
ul.stepper {
    padding: 0 1.5rem;
    padding: 1.5rem;
    margin: 1em -1.5rem;
    overflow-x: hidden;
    overflow-y: auto;
    counter-reset: section
}

ul.stepper li {
    height: -webkit-min-content;
    height: -moz-min-content;
    height: min-content
}

ul.stepper li a {
    padding: 0.5rem;
    text-align: center
}

ul.stepper li a .circle {
    display: block;
    width: 1.75rem;
    height: 1.75rem;
    margin: auto;
    line-height: 1.7rem;
    color: #fff;
    text-align: center;
    background: rgba(0, 0, 0, 0.38);
    border-radius: 50%
}

ul.stepper li a .label {
    display: block;
    color: rgba(0, 0, 0, 0.38)
}

ul.stepper li a .time {
    display: block;
    color: rgba(0, 0, 0, 0.38)
}

/*ul.stepper li.active a .label,
ul.stepper li.completed a .label {
    font-weight: 600;
    color: rgba(0, 0, 0, 0.87)
}*/

ul.stepper li.completed a .label {
    color: #1cc88a;
}

ul.stepper li.completed a .circle {
    background: #1cc88a;
}

ul.stepper li.pending a.label,
ul.stepper li.pending a.circle {
    color: #eaecf4
}

.stepper-horizontal {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between
}

.stepper-horizontal li {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-transition: .5s;
    transition: .5s;
}

.stepper-horizontal li a .label {
    margin-top: .63rem
}

.stepper-horizontal li:not(:last-child):after {
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    height: 1px;
    margin: .5rem 0 0 0;
    content: "";
    background-color: rgba(0, 0, 0, 0.1)
}

.stepper-horizontal li:not(:first-child):before {
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    height: 1px;
    margin: .5rem 0 0 0;
    content: "";
    background-color: rgba(0, 0, 0, 0.1)
}

.stepper-horizontal li:hover {
    background-color: rgba(0, 0, 0, 0.06)
}

@media (max-width: 47.9375rem) {
    .stepper-horizontal {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column
    }

    .stepper-horizontal li {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start
    }

    .stepper-horizontal li a .label {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-flow: column nowrap;
        flex-flow: column nowrap;
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
        margin-top: .2rem
    }

    .stepper-horizontal li:not(:last-child):after {
        position: absolute;
        top: 3.75rem;
        left: 2.19rem;
        width: 1px;
        height: calc(100% - 40px);
        content: ""
    }
}

.stepper-horizontal>li:not(:last-of-type) {
    margin-bottom: 0 !important
}

.stepper-vertical {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between
}

.stepper-vertical li {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start
}

.stepper-vertical li a {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-item-align: start;
    align-self: flex-start
}

.stepper-vertical li a .circle {
    -webkit-box-ordinal-group: 2;
    -ms-flex-order: 1;
    order: 1
}

.stepper-vertical li a .label {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-flow: column nowrap;
    flex-flow: column nowrap;
    -webkit-box-ordinal-group: 3;
    -ms-flex-order: 2;
    order: 2;
    margin-top: .2rem
}

.stepper-vertical li.completed a .label {
    font-weight: 500
}

.stepper-vertical li .step-content {
    display: block;
    padding: .94rem;
    margin-top: 0;
    margin-left: 3.13rem
}

.stepper-vertical li .step-content p {
    font-size: .88rem
}

.stepper-vertical li:not(:last-child):after {
    position: absolute;
    top: 3.44rem;
    left: 2.19rem;
    width: 1px;
    height: calc(100% - 40px);
    content: "";
    background-color: rgba(0, 0, 0, 0.1)
}

.italic {
    font-style: italic;
}

.panels {
    width: auto;
    margin: auto;
    max-width: 1800px;
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: flex-start;
    flex-wrap: wrap;
}

.panel, .panels > div {
    margin: 16px;
    align-self: stretch;
    background-color: rgba(255,255,255, .8);
    -webkit-backdrop-filter: none;
    backdrop-filter: none;
    border-radius: 16px;
}

.panel .panel-header {
    display: flex;
    z-index: 1;
    top: 50px;
    padding: 16px;
    cursor: grab;
}

.panel .panel-header h2 {
    display: block;
    align-items: center;
    flex-grow: 1;
    margin: 0;
    font-size: 20px;
    line-height: 24px;
    font-weight: bold;
    padding: 16px 8px;
    height: 56px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: grab;
}

.panel .panel-content {
    margin: 0 16px 16px 16px;
    min-height: 200px;
    overflow: visible;
}

.chat-bubble {
    border-radius: 1.2rem;
    background-color: #f0f2f5; /* Light gray for others */
}

.chat-bubble-me {
    border-radius: 1.2rem;
    background-color: #0d6efd; /* Bootstrap Primary blue for "me" */
    color: white;
}